﻿using System;
using System.Runtime.Serialization;
using SmallMvvm.Services.Properties;

namespace SmallMvvm.Services.Exceptions
{
    public class ServiceException : ApplicationException
    {
        public ServiceException()
            : base(Resources.ServiceException_UnknownServiceError)
        { }

        public ServiceException(string message) 
            : base(message)
        { }

        public ServiceException(string message, Exception innerException) 
            : base(message, innerException)
        { }

        protected ServiceException(SerializationInfo info, StreamingContext context) 
            : base(info, context)
        { }
    }
}